import request from '@/utils/request'

// 查询snmp响应结果列表
export function listResponse(query) {
    return request({
        url: '/data/response/list',
        method: 'get',
        params: query
    })
}

// 查询snmp响应结果详细
export function getResponse(id) {
    return request({
        url: '/data/response/' + id,
        method: 'get'
    })
}

// 新增snmp响应结果
export function addResponse(data) {
    return request({
        url: '/data/response',
        method: 'post',
        data: data
    })
}

// 修改snmp响应结果
export function updateResponse(data) {
    return request({
        url: '/data/response',
        method: 'put',
        data: data
    })
}

// 删除snmp响应结果
export function delResponse(id) {
    return request({
        url: '/data/response/' + id,
        method: 'delete'
    })
}
